
package negocio;

import encapsuladores.LineaFactura;
import excepciones.GenericaExcepcion;

public class Factura {
    
    public void filtrarDatos(LineaFactura lineaFactura) throws GenericaExcepcion{
        // Mediante estas dos acciones de filtrado pretendemos representar la
        // aplicación de las reglas de negocio.
        
        if (lineaFactura.getPrecioUnitario() <= 0.0)
            throw new GenericaExcepcion(-10);
        
        if (lineaFactura.getUnidades() <= 0)
            throw new GenericaExcepcion(-11);    
    }
}
